Bug 796984 (CVE-2012-0453)

Summary: CVE-2012-0453 bugzilla: CSRF fixed in 4.0.5, 4.2
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: itamar
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120223,reported=20120223,source=gentoo,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/bugzilla=affected,epel-all/bugzilla=notaffected,cwe=CWE-352[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-11 03:33:54 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 796985    
Bug Blocks:    

Description Kurt Seifried 2012-02-23 19:38:43 EST
Upstream has released [1] versions 4.0.5, 4.2 to correct a CSRF vulnerability

Due to a lack of validation of the enctype form attribute when making POST requests to xmlrpc.cgi, a possible CSRF vulnerability was discovered. If a user visits an HTML page with some malicious HTML code in it, an attacker could make changes to a remote Bugzilla installation on behalf of the victim's account by using the XML-RPC API on a site running mod_perl. Sites running under mod_cgi are not affected. Also the user would have had to be already logged in to the target site for the vulnerability to work.

References:  https://bugzilla.mozilla.org/show_bug.cgi?id=725663

[1] http://www.bugzilla.org/security/4.0.4/
Comment 1 Kurt Seifried 2012-02-23 19:40:12 EST
Created bugzilla tracking bugs for this issue

Affects: fedora-all [bug 796985]
Comment 2 Fedora Update System 2012-03-06 14:41:54 EST
bugzilla-4.0.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.